/*
	*
	* This file is a part of libpaperde.
	* Library for handling various services related to Paper Desktop
	* Copyright 2020 CuboCore Group
	*

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, write to the Free Software
    * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    * MA 02110-1301, USA.
    *
*/

#pragma once

/** Current Version of Paper */
#define PAPER_VERSION_STR "0.2.1"

/** The root directory to which was Paper installed */
#define InstallPrefix "/usr/"

/** Location where system-wide shared data is available */
#define SharePath "/usr/share/paperde/"

/** Location where global configs will be stored */
#define ConfigPath "/usr/share/paperde/configs/"

/** Location where plugin metadata will be stored */
#define MetadataPath "/usr/share/paperde/metadata/"

/** Location where plugins are installed */
#define PluginPath "/usr/lib/paperde/plugins/"

/** Location where Paper utilities are installed */
#define UtilsPath "/usr/lib/libexec/paperde/"
